<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myUserMediatorLabel" jhiTranslate="mpmApp.userMediator.home.createOrEditLabel">Create or edit a User Mediator</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="row">
            <div class="col-md-4">
                <div class="card" style="height: 100%">
                    <div class="card-body">
                        <div class="form-group">
                            <label class="form-control-label" jhiTranslate="mpmApp.userMediator.userName" for="field_userName">User Name</label>
                            <input type="text" class="form-control" name="userName" id="field_userName" [(ngModel)]="userMediator.userName" />
                        </div>
                        <div class="form-group">
                            <label class="form-control-label" jhiTranslate="mpmApp.userMediator.email" for="field_email">Email</label>
                            <input type="text" class="form-control" name="email" id="field_email" [(ngModel)]="userMediator.email" />
                        </div>
            
                        <div class="form-group">
                            <label class="form-control-label" jhiTranslate="mpmApp.userMediator.internal" for="field_internal">Internal</label>
                            <select class="form-control" id="field_internal" name="internal" [(ngModel)]="userMediator.internalId">
                                <option [ngValue]="null"></option>
                                <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8">
                <jhi-person-base-view [person]="userMediator.person"></jhi-person-base-view>
            </div>
        </div>
        
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
